## uwsgi 2.0.6~dfsg

=== debian/changelog ===
uwsgi (2.0.6~dfsg-8) unstable; urgency=medium

  * Resolve Ruby kinds in backport-friendly manner (see bug#755779).
  * Stop uwsgi-plugins-all needlessly depending directly on
    uwsgi-plugin-php: Pulled in via uwsgi-app-integration-plugins.
  * Fix enable plugin matheval (as intended since 1.9.15-1).
  * Fix mention Ruby native threads in uwsgi-plugins-all long
    description.
  * Fix exclude coroae plugin from auto-resolved plugin list in
    uwsgi-core long description.
  * Improve pkgarchs.sh script to auto-resolve archs:
    + Fix support experimental suite.
    + Fix strip duplicates.
    + Fix mention all its dependencies in header.
    + Fix strip leading (not only trailing) space.
  * Fix build-depend unconditionally on ruby: Needed to resolve default
    ruby version (see bug#755779).
    Closes: bug#758270.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Aug 2014 11:52:19 +0200

uwsgi (2.0.6~dfsg-7) unstable; urgency=medium

  * Re-enable Ceph/RADOS plugin as separate binary package (to also fix
    ftpmaster late approval of 2.0.6~dfsg-3 weirdly shadowing subsequent
    releases.
  * Fix mention in long descriptions all plugins missing on some archs.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Jul 2014 19:23:04 +0200

uwsgi (2.0.6~dfsg-6) unstable; urgency=medium

  * Fix clean autogenerated uwsgi-core install file.
  * Ease backporting: Build-depend (as fallback for ruby-all-dev) on
    ruby1.9.1 and ruby1.9.1-dev.
  * Fix have uwsgi-plugin-fiber depend on proper rack package.
    Thanks to piuparts.
  * Fix have uwsgi-app-integration-plugins depend on uwsgi-plugin-luajit
    only on supported architectures.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jul 2014 12:08:01 +0200

uwsgi (2.0.6~dfsg-5) unstable; urgency=medium

  * Add patch 1006 to fix emperor-zeromq linkage against libzmq.
  * Fix resolve Java include path (use $DEB_HOST_ARCH for outer part,
    and $JAVA_ARCH only for inner part of libdir).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Jul 2014 16:39:28 +0200

uwsgi (2.0.6~dfsg-4) unstable; urgency=medium

  * Drop Ceph/RADOS plugin package (temporarily, to possibly enter
    testing faster than waiting in NEW queue may require).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Jul 2014 12:31:26 +0200

uwsgi (2.0.6~dfsg-3) unstable; urgency=medium

  * Fix build Ceph/RADOS storage plugin only on supported archs, and
    package it separately.
  * Fix avoid building plugin asyncio: Documented as experimental (and
    was accidentally not included in uwsgi-core anyway).
  * Resolve dynamically the plugins to install into uwsgi-core package.
  * Fix enable TLS support.
  * Fix enable XML support.
  * Fix use libyaml (not embedded YAML parser).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Jul 2014 23:08:26 +0200

uwsgi (2.0.6~dfsg-2) unstable; urgency=medium

  * Stop build plugin alarm_speech: Pulls in Xorg and OpenGL, and is
    documented as just a toy plugin for OSX.
    Stop build-depend on libgnustep-gui-dev or libgnustep-base-dev.
    Drop patch 1006.
  * Fix resolve Ruby interpreter for plugins rbthreads and fiber (not
    rely on upstream hardcoded default).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Jul 2014 22:49:36 +0200

uwsgi (2.0.6~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release 2.0.4.
    Bugfixes:
    + Fix mime routing var.
    + Allow duplicate headers in http parsers.
    + Faster on_demand Emperor management.
    + Fix UWSGI_ADDITIONAL_SOURCES build option.
    + Merge duplicated headers when SPDY is enabled.
    + Fix segfault for unnamed loggers.
    + –need-app works in lazy-apps mode.
    + Fix fatal hooks management.
    New features:
    + Experimental asyncio loop engine (CPython >= 3.4).
    + httprouter advanced timeout management.
    + Allow disabling cache warnings in –cache2.
    + Purge LRU cache feature.
    + Support embedded config on FreeBSD.
    + RPC hook.
    + setmodifier1 and setmodifier2 routing actions.
    + no_headers option for static router.
    <https://uwsgi-docs.readthedocs.org/en/latest/Changelog-2.0.4.html>
  * New release 2.0.5.
    Bugfixes:
    + Fix support for repeated headers in lua plugin.
    + Fix support for embedding config in OpenBSD and NetBSD.
    + various fixes in the curl-based plugins.
    + Fix milliseconds-based waits.
    + Fix sharedarea poller.
    + Fix stats server json escaper.
    + Fix fastcgi parser and implemented eof management.
    + Improve fast on-demand mode.
    + Exclude avg_rt computation for static files.
    + Fix variables support in uwsgi internal router.
    + Fix websockets + keepalive ordering.
    + Disable SIGPIPE management in corutines-based loop-engines.
    + Fix 64bit sharedarea management in 32bit systems.
    + Honour chmod/chown-socket in fd0 mode.
    + Hack to avoid Safari iOS making mess with keepalive.
    + Fix log setup when both –logto and –log2.
    + Fix mule_get_msg EAGAIN.
    + Return correct signal_pidfile error code.
    + Fix asyncio on OSX.
    New features:
    + Graceful reload of mule processes.
    + Return routing action.
    + –emperor-no-blacklist.
    + Icecast2 protocol helpers.
    + –metrics-no-cores, –stats-no-cores, –stats-no-metrics.
    + sharedarea improvements.
    + UWSGI_GO_CHEAP_CODE.
    + PROXY1 support for the http router.
    + reset_after_push for metrics.
    + setremoteaddr.
    + resolve option.
    <https://uwsgi-docs.readthedocs.org/en/latest/Changelog-2.0.5.html>
  * New release 2.0.6.
    Bugfixes:
    + Fix a memory leak with subscription system.
    + Fix shortcut for ssl-socket.
    + Fix apache2 mod_proxy_uwsgi (now considered stable with all mpm
      engines).
    + Fix SCRIPT_NAME and PATH_TRANSLATED generation in php plugin.
    + Remove old FIFO socket from the event queue when recreating it.
    New features:
    + Rados plugins improved and stabilized.
    + –if-hostname to include options only on specified hostname match.
    + Apache2 mod_proxy_uwsgi stabilized.

