=== debian/control ===
Source: uwsgi
Section: web
Priority: extra
Maintainer: Janos Guljas <janos@debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 cdbs,
 devscripts,
 python,
 python3,
 debhelper,
 dh-buildinfo,
 apache2-dev | apache2-threaded-dev,
 help2man,
 javahelper,
 libapr1-dev,
 libaprutil1-dev,
 libjansson-dev,
 libldap2-dev,
 liblua5.1-0-dev,
 liblua5.2-dev,
 libluajit-5.1-dev [amd64 armel armhf i386 kfreebsd-i386 mips mipsel powerpc],
 libperl-dev,
 libpq-dev,
 libcurl4-openssl-dev,
 libgloox-dev,
 libpam0g-dev,
 libsqlite3-dev,
 libxml2-dev,
 libyaml-dev,
 libzmq3-dev [!hurd-any] | libzmq-dev [!kfreebsd-any !hurd-any],
 libphp5-embed,
 php5-dev,
 libonig-dev,
 libdb-dev,
 libqdbm-dev,
 libbz2-dev,
 libwrap0-dev,
 libcoro-perl,
 libgeoip-dev,
 libv8-dev [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel],
 libxslt1-dev,
 libcap-dev [linux-any],
 libmatheval-dev,
 libjail-dev [kfreebsd-any],
 libkvm-dev [kfreebsd-any],
 librados-dev [amd64 armel armhf i386 mips mipsel powerpc s390x sparc],
 libssl-dev,
 pkg-config,
 python-all-dev,
 python-greenlet-dev [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x sparc],
 python3-all-dev,
 openjdk-7-jdk [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x sparc],
 ruby-all-dev | ruby-dev,
 ruby,
 uuid-dev
Standards-Version: 3.9.5
Homepage: http://projects.unbit.it/uwsgi/
Vcs-Git: git://anonscm.debian.org/collab-maint/uwsgi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/uwsgi.git

Package: uwsgi
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version}),
 lsb-base, initscripts (>= 2.88dsf-13.3)
Description: fast, self-healing application container server
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package depends on uWSGI core binary and installs:
  * init.d script for running uWSGI daemon(s) with options defined in custom
    user-created configuration files
  * infrastructure for running daemons (like common locations of communication
    sockets, logs)

Package: uwsgi-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends}, uwsgi-core (= ${binary:Version})
Suggests: uwsgi-plugins-all
Description: debugging symbols for uWSGI server and it's plugins
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 .
 This package contains the debug symbols for uWSGI core binary and plugins.
 Install this package if you need to debug such a program or if you need a
 useful backtrace of a crash.

Package: uwsgi-core
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: nginx-full | cherokee | libapache2-mod-proxy-uwsgi | libapache2-mod-uwsgi | libapache2-mod-ruwsgi,
 uwsgi-plugins-all, uwsgi-extra
Replaces: wsgi-plugin-admin,
 uwsgi-plugin-cache,
 uwsgi-plugin-carbon,
 uwsgi-plugin-cgi,
 uwsgi-plugin-echo,
 uwsgi-plugin-emperor-zeromq,
 uwsgi-plugin-fastrouter,
 uwsgi-plugin-http,
 uwsgi-plugin-logsocket,
 uwsgi-plugin-nagios,
 uwsgi-plugin-ping,
 uwsgi-plugin-router-static,
 uwsgi-plugin-rpc,
 uwsgi-plugin-rrdtool,
 uwsgi-plugin-rsyslog,
 uwsgi-plugin-signal,
 uwsgi-plugin-symcall,
 uwsgi-plugin-syslog,
 uwsgi-plugin-ugreen
Conflicts: wsgi-plugin-admin,
 uwsgi-plugin-cache,
 uwsgi-plugin-carbon,
 uwsgi-plugin-cgi,
 uwsgi-plugin-echo,
 uwsgi-plugin-emperor-zeromq,
 uwsgi-plugin-fastrouter,
 uwsgi-plugin-http,
 uwsgi-plugin-logsocket,
 uwsgi-plugin-nagios,
 uwsgi-plugin-ping,
 uwsgi-plugin-router-static,
 uwsgi-plugin-rpc,
 uwsgi-plugin-rrdtool,
 uwsgi-plugin-rsyslog,
 uwsgi-plugin-signal,
 uwsgi-plugin-symcall,
 uwsgi-plugin-syslog,
 uwsgi-plugin-ugreen
Description: fast, self-healing application container server (core)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package provides core uWSGI binary (built without any embedded
 plugins) and plugins with no or few dependencies:
 .
 ${uwsgi:corepluginlist}
 .
 Plugin emperor_zeromq is provided only on supported architectures.

Package: uwsgi-emperor
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version}),
 lsb-base, initscripts (>= 2.88dsf-13.3)
Description: fast, self-healing application container server (emperor scripts)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package depends on uWSGI core binary and installs:
  * init.d script for running uWSGI Emperor daemon with options defined in
    custom user-created configuration files
  * basic configuration for running uWSGI Emperor daemon

Package: uwsgi-plugins-all
Architecture: any
Depends: ${misc:Depends},
 uwsgi-infrastructure-plugins (= ${binary:Version}),
 uwsgi-app-integration-plugins (= ${binary:Version}),
 uwsgi-plugin-rbthreads (= ${binary:Version}),
 uwsgi-plugin-fiber (= ${binary:Version}),
 uwsgi-plugin-greenlet-python (= ${binary:Version}) [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x sparc],
Description: all available plugins for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This dependency package provides all available plugins for uWSGI:
  * infrastructure
    - HTTP serving, RPC, etc.
  * application integration
    - PSGI, Rack, WSGI, etc.
  * coroutines
    - Coro::AnyEvent
    - Fiber (${uwsgi:RubyDefaultkind})
    - greenlet (Python 2)
    - Ruby native threads (${uwsgi:RubyDefaultkind})
 .
 Greenlet plugin is provided only on supported architectures.

Package: uwsgi-infrastructure-plugins
Architecture: any
Depends: ${misc:Depends},
 uwsgi-plugin-alarm-curl (= ${binary:Version}),
 uwsgi-plugin-alarm-xmpp (= ${binary:Version}),
 uwsgi-plugin-curl-cron (= ${binary:Version}),
 uwsgi-plugin-emperor-pg (= ${binary:Version}),
 uwsgi-plugin-graylog2 (= ${binary:Version}),
 uwsgi-plugin-geoip (= ${binary:Version}),
 uwsgi-plugin-ldap (= ${binary:Version}),
 uwsgi-plugin-rados (= ${binary:Version}) [amd64 armel armhf i386 mips mipsel powerpc s390x sparc],
 uwsgi-plugin-router-access (= ${binary:Version}),
 uwsgi-plugin-sqlite3 (= ${binary:Version}),
 uwsgi-plugin-xslt (= ${binary:Version})
Description: infrastructure plugins for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This dependency package provides infrastructure plugins for uWSGI:
  * alarm cURL
  * alarm XMPP
  * cURL cron
  * PostgreSQL emperor
  * graylog2
  * GeoIP
  * LDAP
  * router access
  * SQLite 3
  * XSLT request
  * Ceph/RADOS storage
 .
 Ceph/RADOS plugin is provided only on supported architectures.

Package: uwsgi-app-integration-plugins
Architecture: any
Depends: ${misc:Depends},
 uwsgi-plugin-jvm-openjdk-7 (= ${binary:Version}) [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x sparc],
 uwsgi-plugin-jwsgi-openjdk-7 (= ${binary:Version}) [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x sparc],
 uwsgi-plugin-lua5.1 (= ${binary:Version}),
 uwsgi-plugin-lua5.2 (= ${binary:Version}),
 uwsgi-plugin-luajit (= ${binary:Version}) [amd64 armel armhf i386 kfreebsd-i386 mips mipsel powerpc],
 uwsgi-plugin-php (= ${binary:Version}),
 uwsgi-plugin-psgi (= ${binary:Version}),
 uwsgi-plugin-python (= ${binary:Version}),
 uwsgi-plugin-python3 (= ${binary:Version}),
 uwsgi-plugin-rack-${uwsgi:RubyKind} (= ${binary:Version}),
 uwsgi-plugin-v8 (= ${binary:Version}) [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel]
Description: plugins for integration of uWSGI and application
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This dependency package provides plugins for integration of uWSGI and
 application:
  * Java (OpenJDK 7)
  * JWSGI (OpenJDK 7)
  * Lua WSAPI (Lua 5.1, 5.2 and LuaJIT)
  * PHP
  * Perl PSGI
  * Python WSGI (Python 2 and 3)
  * Rack (${uwsgi:RubyKinds})
  * V8
 .
 Java and V8 plugins are provided only on supported architectures.

Package: uwsgi-plugin-alarm-curl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
Description: cURL alarm plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides alarm_curl plugin for uWSGI.

Package: uwsgi-plugin-alarm-xmpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
Description: XMPP alarm plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides alarm_xmpp plugin for uWSGI.

Package: uwsgi-plugin-curl-cron
