## uwsgi 2.0.7

=== debian/changelog ===
uwsgi (2.0.7-1+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Stack-based buffer overflow in uwsgi_expand_path function (CVE-2018-6758)
    (Closes: #889753)
  * enforce php default document_root behaviour, to not show external files
    (CVE-2018-7490) (Closes: #891639)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 17 Mar 2018 09:37:01 +0100

uwsgi (2.0.7-1+deb8u1) jessie; urgency=medium

  * Add patch cherry-picked upstream to fix compilation with recent
    glibc.
    Closes: Bug#854535. Thanks to Masahiro Yamada.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Feb 2017 22:17:18 +0100

uwsgi (2.0.7-1) unstable; urgency=medium

  [ upstream ]
  * New release 2.0.7.
    Bugfixes:
    + Fix counters in statsd plugin.
    + Fix caching in php plugin.
    + Fix management of system users starting with a number.
    + Fix request body readline using memmove instead of memcpy.
    + Ignore "user" namespace in setns (still a source of problems).
    + Fix Python3 rpc bytes/string mess (result: we support both).
    + Do not destroy the Emperor on failed mount hooks.
    + Fix symbol lookup error in the Mono plugin on OS X.
    + Fix fastcgi and scgi protocols error when out of buffer happens.
    + Fix solaris/smartos I/O management.
    + Fix 2 memory leaks in the rpc subsystem.
    + Fix rados plugin PUT method.
    + Fix multiple python mountpoints with multiple threads in cow mode.
    + stats UNIX socket is now deleted by vacuum.
    + Fix off-by-one corruption in cache LRU mode.
    + Force single-cpu build in cygwin.
    New Features and improvements:
    + Allow calling the spooler from every cpython context.
    + Add store_delete flag to cache2 option.
    + Extend file logger to allow rotation.
    + vassals plugin extended with hooks vassal and vassal_before_exec.
    + broodlord subsystem improved with option –vassal-sos.

  [ Jonas Smedegaard ]
  * Fix auto-resolve as "none" (not empty string) when no archs found.
  * Add patch 1007 to fix support pty on GNU/Hurd.
  * Stop repackage source: Upstream no longer ship binary java class
    file.
  * Adjust architecture-dependent plugins:
    + Enable Ceph/RADOS for s390x and sparc.
    + Enable Greenlet for armel and ppc64el.
    + Enable OpenJDK 7 for armhf and ppc64el.
  * Drop patch 1006: Adopted upstream.
  * Update Vcs-Browser URL to use cgit web frontend.
  * Declare compliance with Debian Policy 3.9.6.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Oct 2014 20:50:17 +0200
