=== debian/control ===
--- 
+++ 
@@ -44,20 +44,20 @@
  libmatheval-dev,
  libjail-dev [kfreebsd-any],
  libkvm-dev [kfreebsd-any],
- librados-dev [amd64 armel armhf i386 mips mipsel powerpc s390x sparc],
+ librados-dev [amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x sparc],
  libssl-dev,
  pkg-config,
  python-all-dev,
- python-greenlet-dev [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x sparc],
+ python-greenlet-dev [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
  python3-all-dev,
- openjdk-7-jdk [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x sparc],
+ openjdk-7-jdk [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
  ruby-all-dev | ruby-dev,
  ruby,
  uuid-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://projects.unbit.it/uwsgi/
 Vcs-Git: git://anonscm.debian.org/collab-maint/uwsgi.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/uwsgi.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/uwsgi.git
 
 Package: uwsgi
 Architecture: any
@@ -196,7 +196,7 @@
  uwsgi-app-integration-plugins (= ${binary:Version}),
  uwsgi-plugin-rbthreads (= ${binary:Version}),
  uwsgi-plugin-fiber (= ${binary:Version}),
- uwsgi-plugin-greenlet-python (= ${binary:Version}) [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x sparc],
+ uwsgi-plugin-greenlet-python (= ${binary:Version}) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
 Description: all available plugins for uWSGI
  uWSGI presents a complete stack for networked/clustered web applications,
  implementing message/object passing, caching, RPC and process management.
@@ -227,7 +227,7 @@
  uwsgi-plugin-graylog2 (= ${binary:Version}),
  uwsgi-plugin-geoip (= ${binary:Version}),
  uwsgi-plugin-ldap (= ${binary:Version}),
- uwsgi-plugin-rados (= ${binary:Version}) [amd64 armel armhf i386 mips mipsel powerpc s390x sparc],
+ uwsgi-plugin-rados (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x sparc],
  uwsgi-plugin-router-access (= ${binary:Version}),
  uwsgi-plugin-sqlite3 (= ${binary:Version}),
  uwsgi-plugin-xslt (= ${binary:Version})
@@ -256,8 +256,8 @@
 Package: uwsgi-app-integration-plugins
 Architecture: any
 Depends: ${misc:Depends},
- uwsgi-plugin-jvm-openjdk-7 (= ${binary:Version}) [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x sparc],
- uwsgi-plugin-jwsgi-openjdk-7 (= ${binary:Version}) [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x sparc],
+ uwsgi-plugin-jvm-openjdk-7 (= ${binary:Version}) [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
+ uwsgi-plugin-jwsgi-openjdk-7 (= ${binary:Version}) [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
  uwsgi-plugin-lua5.1 (= ${binary:Version}),
  uwsgi-plugin-lua5.2 (= ${binary:Version}),
  uwsgi-plugin-luajit (= ${binary:Version}) [amd64 armel armhf i386 kfreebsd-i386 mips mipsel powerpc],
@@ -307,8 +307,3 @@
  implementing message/object passing, caching, RPC and process management.
  It is designed to be fully modular. This means that different plugins can be
  used in order to add compatibility with tons of different technology on top of
- the same core.
- .
- This package provides alarm_xmpp plugin for uWSGI.
-
-Package: uwsgi-plugin-curl-cron
