=== debian/rules ===
--- 
+++ 
@@ -34,10 +34,6 @@
 endif
 
 DEB_UPSTREAM_URL = http://projects.unbit.it/downloads
-
-# exclude binary file without source
-DEB_UPSTREAM_REPACKAGE_EXCLUDES += \
- ./contrib/uwsgi.class
 
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
@@ -202,3 +198,6 @@
 	$(foreach kind,$(UWSGI_KINDS_$(plugin_has_lang)),\
 		$(patsubst %-$(kind),%,$(filter %-$(kind),$*)))))
 plugin_kind = $(strip $(or \
+	$(if $(plugin_is_lang),\
+		$*),\
+	$(foreach kind,$(UWSGI_KINDS_$(plugin_has_lang)),\
